2005-07-05 15:41  larsa

	* build/: msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc6/include/Inventor/C/basic.h,
	msvc7/coin2.sln, msvc7/include/config-debug.h,
	msvc7/include/config-release.h, msvc7/include/Inventor/C/basic.h:
	
	regeneration for 2.4.2 proper

2005-07-05 14:55  larsa

	* configure.ac:
	
	version number update (2.4.2 proper)

2005-07-05 14:49  larsa

	* Makefile.am, NEWS, README, RELNOTES, docs/ChangeLog.v2.4.1,
	docs/ChangeLog.v2.4.2, docs/announcement-2_4_2.txt:
	
	doc updates

2005-07-05 14:37  pederb

	* src/shapenodes/soshape_bumprender.cpp:
	
	Avoid using Coin's SbVec3f::normalize.

2005-07-05 14:24  pederb

	* src/shapenodes/soshape_bigtexture.cpp:
	
	Make subimage size depend on the size of the original image to
	avoid creating too many subimages. Thanks to Guenter Schwann for
	pointing out this problem.

2005-07-05 14:05  larsa

	* src/misc/all-misc-cpp.cpp:
	
	--enable-compact fix

2005-07-05 13:58  larsa

	* src/io/all-io-cpp.cpp:
	
	--enable-compact fixes

2005-07-05 13:56  larsa

	* src/glue/: GLUWrapper.c, spidermonkey.c:
	
	enable-compact fixes

2005-07-05 13:52  larsa

	* src/caches/: SoBoundingBoxCache.cpp, SoCache.cpp,
	SoGlyphCache.cpp, SoNormalCache.cpp, SoPrimitiveVertexCache.cpp:
	
	fixes

2005-07-05 13:47  larsa

	* src/caches/: SoCache.cpp, SoConvexDataCache.cpp,
	SoGLCacheList.cpp, SoGLRenderCache.cpp, SoNormalCache.cpp,
	SoTextureCoordinateCache.cpp:
	
	win32 --enable-compact update

2005-07-05 13:29  larsa

	* NEWS:
	
	adjust statement

2005-07-05 12:15  larsa

	* README.WIN32, build/msvc6/coin2.dsp, build/msvc7/coin2.sln,
	build/msvc7/coin2.vcproj:
	
	visual studio updates

2005-07-05 11:58  larsa

	* NEWS:
	
	updates

2005-07-05 11:26  larsa

	* cfg/gendsp.sh.in:
	
	update

2005-07-05 11:03  mortene

	* src/io/SoInput.cpp:
	
	Bugfix: if there are several trailing characters, doBufferRead()
	will assert -- so use an indirect way of triggering the EOF
	side-effect.

2005-07-05 10:57  mortene

	* src/io/: SoInput_FileInfo.cpp, SoInput_FileInfo.h:
	
	Minor clean-up: remove some cruft in an internal interface.

2005-07-05 10:56  mortene

	* src/io/SoInput.cpp:
	
	Bugfix: handle special EOF marker on old binary files.

2005-07-04 21:39  larsa

	* src/io/Makefile.am:
	
	typo / dist fix

2005-07-04 21:28  larsa

	* src/fonts/Makefile.am:
	
	typo / dist fix

2005-07-04 18:00  larsa

	* build/: README, msvc6/coin2.dsp, msvc7/coin2.sln,
	msvc7/coin2.vcproj, msvc7/generate.sh:
	
	regenerate

2005-07-04 16:46  larsa

	* cfg/gendsp.sh.in:
	
	bootstrap

2005-07-04 12:39  kyrah

	* src/elements/GL/SoGLDisplayList.cpp:
	
	Changed condition to assert, as suggested by mortene. If we don't
	have a valid OpenGL context, something is seriously wrong anyway
	that will only hit us later on.

2005-07-01 18:15  mortene

	* src/io/SoInput_FileInfo.cpp:
	
	Robustness: warn when encountering really old Inventor files that
	our parsing is known to be imperfect.

2005-07-01 18:07  mortene

	* src/nodes/SoGroup.cpp:
	
	Bugfix: SoSeparator nodes from Inventor V1.0 files should not
	attempt to read any fields.

2005-07-01 18:06  mortene

	* src/upgraders/SoUpgrader.cpp:
	
	Bugfix: upgraders functionality was foobar -- no upgrader nodes
	would ever be instantiated.

2005-07-01 18:02  mortene

	* src/: io/SoInput.cpp, io/SoInputP.h, misc/SoBase.cpp:
	
	Debug: make available a general debug variable for debugging
	iv-file parsing.

2005-07-01 14:10  mortene

	* src/: misc/SoGLBigImage.cpp, shapenodes/soshape_bigtexture.cpp:
	
	Doc: FIXME about known performance killer.

2005-07-01 12:50  mortene

	* src/io/: SoInput_FileInfo.cpp, SoInput_FileInfo.h:
	
	Clean-up: header inclusion was a mess.

2005-07-01 11:46  mortene

	* src/io/SoInput_FileInfo.h:
	
	Compile fix: include tidbits.h for coin_isspace(). Reported by
	Gerhard Reitmayr.

2005-06-30 15:55  mortene

	* src/: fields/SoFieldData.cpp, io/Makefile.am, io/SoInput.cpp,
	io/SoInputP.h:
	
	Debug: global internal envvar for debugging reading of binary
	format files.

2005-06-30 15:51  mortene

	* src/io/: SoInput_FileInfo.h, SoInput_Reader.h, SoOutput_Writer.h:
	
	Clean-ups: tag as internal files, misc removal of unnecessary
	#includes.

2005-06-29 14:57  tamer

	* src/vrml97/AudioClip.cpp:
	
	added missing include for coin_getenv.

2005-06-28 14:14  mortene

	* include/Inventor/SbBox.h:
	
	Compatibility fix: better compile-time compatibility for
	application code originally written with SGI or TGS Inventor.

2005-06-28 11:22  mortene

	* THANKS:
	
	Adds Peter Cech, for assistance with finding bugs in SIM Voleon.

2005-06-28 10:26  mortene

	* src/: misc/AudioTools.cpp, misc/SoAudioDevice.cpp,
	vrml97/Sound.cpp:
	
	Clean-ups: minor fixes, remove some unnecessary #ifdef'ing on
	HAVE_SOUND.

2005-06-28 10:15  mortene

	* NEWS:
	
	New item.

2005-06-28 10:08  mortene

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp:
	
	Re-enable the option to run SoAudioDevice::init() from application
	code, on thammer's request.

2005-06-27 18:05  mortene

	* src/: vrml97/AudioClip.cpp, vrml97/Sound.cpp,
	misc/AudioTools.cpp, misc/AudioTools.h, misc/SoAudioDevice.cpp,
	misc/SoSceneManager.cpp:
	
	Optimization, robustness: load OpenAL on demand. That is: only when
	sound-emitting nodes have been instantiated. This to avoid the
	common problems with OpenAL on various systems, like application
	crash on start-up or hang on exit.

2005-06-27 17:18  mortene

	* src/: glue/openal_wrapper.c, misc/SoAudioDevice.cpp,
	misc/SoDB.cpp, vrml97/AudioClip.cpp, vrml97/Sound.cpp:
	
	Clean-ups: various.

2005-06-27 15:07  mortene

	* include/Inventor/misc/SoAudioDevice.h,
	src/misc/SoAudioDevice.cpp, src/misc/SoDB.cpp:
	
	Clean-ups: the at-exit handling was a mess -- now fixed. Various
	other clean-ups done aswell.

2005-06-27 10:46  mortene

	* src/shapenodes/SoImage.cpp:
	
	Minor fix: typing.

2005-06-27 10:46  mortene

	* src/shapenodes/SoImage.cpp:
	
	Compile fixes: improves typing, takes care of MSVC 6 warnings.

2005-06-25 01:33  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Bugfix for case where SoLineSet should render all vertices on the
	state. Reported by Hannes Kaufmann.

2005-06-24 17:34  mortene

	* src/: fonts/fontlib_wrapper.c, fonts/fontlib_wrapper.h,
	fonts/freetype.c, fonts/freetype.h, fonts/glyph2d.c,
	fonts/glyph3d.c, fonts/win32.c, fonts/win32.h, misc/SoGlyph.cpp:
	
	Bugfix: vector kerning with default font would not work if in not a
	directly supported width. Killed the sizex parameters, which
	simplifies the code (and it wasn't really used to any good effort).

2005-06-24 16:28  pederb

	* src/shapenodes/SoImage.cpp:
	
	Fix for SoImage transparency rendering. Bug reported by Frank
	Hibbeln.

2005-06-24 16:08  mortene

	* src/tidbits.c:
	
	Robustness: don't call the C lib's atexit().

2005-06-24 14:45  mortene

	* src/fonts/fontlib_wrapper.c:
	
	Bugfix: resource leak check was flawed.

2005-06-24 14:33  mortene

	* src/fonts/fontlib_wrapper.c:
	
	Optimization: don't load or init FreeType library or Win32 font API
	until they are actually needed.

2005-06-24 13:22  mortene

	* src/fonts/fontlib_wrapper.c:
	
	Minor cleanup: rename struct member 'font' to 'nativefonthandle' to
	make code more easily readable.

2005-06-23 16:18  mortene

	* src/fonts/fontlib_wrapper.c:
	
	Bugfix: don't attempt to tessellate a built-in font.

2005-06-23 15:59  mortene

	* src/: fonts/fontlib_wrapper.c, fonts/fontlib_wrapper.h,
	fonts/glyph3d.c, misc/SoGlyph.cpp:
	
	Bugfix: kills a bug where different complexity settings for 3D
	fonts caused an assert.

2005-06-23 15:10  mortene

	* src/fonts/fontlib_wrapper.c:
	
	Bugfixes: avoid faulty memory deallocation when using built-in
	fonts for glyphs.

2005-06-23 14:23  mortene

	* src/fonts/: fontlib_wrapper.c, freetype.c, freetype.h, win32.c,
	win32.h:
	
	Bugfix: fix crash on exit. Simplifications: remove redundant parts
	of interfaces to Win32 and FreeType.

2005-06-23 14:21  mortene

	* src/fonts/glyph3d.c:
	
	Bugfix: reactive non-default 3D fonts.

2005-06-23 13:29  mortene

	* src/fonts/: fontlib_wrapper.c, freetype.c, freetype.h, win32.c,
	win32.h:
	
	Updates to Win32 API interface, compile fixes, further
	simplifications.

2005-06-23 12:26  mortene

	* src/fonts/: fontlib_wrapper.c, freetype.c, win32.c:
	
	Code clean-up: simplified the underlying native font handling, by
	moving the glyph caching up into fontlib_wrapper abstraction. This
	also takes care of a few bugs.

2005-06-23 12:19  mortene

	* include/Inventor/C/glue/freetype.h, src/glue/freetype.c:
	
	Minor fixes: corrected some function signatures.

2005-06-23 10:22  mortene

	* src/: fonts/fontlib_wrapper.c, fonts/fontlib_wrapper.h,
	fonts/glyph2d.c, fonts/glyph3d.c, misc/SoGlyph.cpp:
	
	Compile fixes, removal of redundant and unused code, additional
	debugging options, various clean-ups.

2005-06-22 22:36  larsa

	* src/fonts/: font13.ic, font17.ic, font25.ic, font33.ic:
	
	regenerate c-data for the default-2d-font

2005-06-22 22:35  larsa

	* src/fonts/builtin2dfonts.sh:
	
	new coordinates

2005-06-22 22:23  larsa

	* src/fonts/: font13.tif, font17.tif, font25.tif, font33.tif:
	
	more complete characterset pixmaps

2005-06-22 17:46  larsa

	* build/: msvc6/coin2.dsp, msvc6/include/setup.h, msvc7/coin2.sln,
	msvc7/coin2.vcproj, msvc7/include/setup.h:
	
	sync

2005-06-22 15:52  mortene

	* include/setup.h.in:
	
	Fix tiny typo in comment.

2005-06-22 15:52  mortene

	* cfg/errors.txt:
	
	bootstrap

2005-06-22 15:47  mortene

	* src/fonts/: Makefile.am, all-fonts-c.c, default2dfont.c,
	defaultfonts.h, fontlib_wrapper.c, fontlib_wrapper.h, fontspec.h,
	freetype.c, freetype.h, glyph2d.c, glyph3d.c, win32.c, win32.h,
	common.c, common.h:
	
	Clean-up: various minor improvements to the internal font
	interfaces. Bugfix: make the multiple size default 2D fonts work.

2005-06-22 14:08  mortene

	* src/glue/dl.c:
	
	Compile fix: dlsym() and dlclose() takes void* input arguments, not
	const void *.

2005-06-21 10:54  mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Sync with some shader program related additions from the Coin dev
	branch.

2005-06-20 19:27  mortene

	* src/nodes/: SoPendulum.cpp, SoRotor.cpp, SoShuttle.cpp:
	
	Reversion: addendum to API doc was not correct -- it was a bug,
	which has been fixed.

2005-06-20 15:46  mortene

	* src/nodes/: SoPendulum.cpp, SoRotor.cpp, SoShuttle.cpp:
	
	Doc: mention the low default update rate in the API doc.

2005-06-19 17:45  kyrah

	* src/glue/simage_wrapper.c:
	
	More debugging output: simage version

2005-06-19 17:34  kyrah

	* src/glue/simage_wrapper.c:
	
	New debugging environment variable COIN_DEBUG_SIMAGE to just got a
	specific error when libsimage cannot be loaded (instead of having
	to wade through the complete COIN_DEBUG_DL output).

2005-06-19 16:28  kyrah

	* src/elements/GL/SoGLDisplayList.cpp:
	
	glGetString(GL_VERSION) might return 0x0 if there is no current
	OpenGL context. This is not usually the case, but I managed to
	produce the case in one of my test examples, and at least we
	shouldn't crash due to strcmp with NULL in this case. :)

2005-06-17 18:53  kyrah

	* src/: glue/dl.c, nodekits/SoBaseKit.cpp:
	
	Get rid of gcc-4 warnings.

2005-06-17 15:54  mortene

	* NEWS:
	
	Update.

2005-06-17 15:49  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenRenderer.cpp:
	
	Optimization: major improvements to performance, by using
	glReadPixels() to directly fill in the internal SoOffscreenRenderer
	buffer.

2005-06-17 12:05  mortene

	* src/misc/: CoinOffscreenGLCanvas.cpp, CoinOffscreenGLCanvas.h,
	SoOffscreenRenderer.cpp:
	
	Optimization: glReadPixels() directly into the SoOffscreenRenderer
	memory buffer, without the extra route through an RGBA buffer. Only
	for non-tiled rendering yet.

2005-06-17 12:00  mortene

	* src/vrml97/Script.cpp:
	
	Doc: a couple of FIXMEs.

2005-06-16 18:23  mortene

	* src/base/hash.c:
	
	Compile fix: invalid C code, MSVC 7 rightfully complained.

2005-06-16 15:24  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Doc & debug: adds complete, stand-alone example to class doc. Some
	debug possibilities for profiling the internal operations.

2005-06-16 14:41  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Bugfix: successive SoOffscreenRenderer invocations with the same
	instance would take more and more processing time, due to
	increasing number of pre-render callbacks invoking glClear().

2005-06-16 12:51  larsa

	* include/Inventor/fields/SoSubField.h:
	
	doc/doxygen test

2005-06-16 12:46  larsa

	* include/Inventor/nodes/SoSubNode.h:
	
	doc/doxygen test

2005-06-15 12:44  mortene

	* src/actions/SoLineHighlightRenderAction.cpp:
	
	Bugfix: offset lines when rendering line overlays for
	SoLineHightlightRenderAction. Fixes bug #197.

2005-06-15 12:35  mortene

	* src/nodes/SoPolygonOffset.cpp:
	
	Doc update: kill bug item 079, which was actually not a bug, by
	documenting the limitations of SoPolygonOffset / glPolygonOffset().

2005-06-14 13:24  pederb

	* include/Inventor/misc/SbHash.h:
	
	Use dedicated memory allocator for SbHash to avoid memory
	fragmentation.

2005-06-14 10:29  pederb

	* src/base/hash.c:
	
	Fix memory handling on resize()

2005-06-14 10:20  pederb

	* include/Inventor/misc/SbHash.h:
	
	Fix ugly memory leak. Bug reported by dan @ goldensoftware.

2005-06-10 12:07  pederb

	* src/actions/SoToVRML2Action.cpp:
	
	Fix recently introduced bug (2005-04-01) which caused all triangle
	based shapes to appear twice in the converted scene graph. Bug
	reported by Guenter Schwann.

2005-06-10 12:02  mortene

	* NEWS:
	
	Mention pederb's recent bug fix.

2005-06-10 11:55  mortene

	* THANKS:
	
	Adds F Hibbeln for bug reports and other assistance, and P
	Boulenguez for reporting a bug with the So*-libraries.

2005-06-10 11:53  mortene

	* src/shapenodes/: SoAsciiText.cpp, SoText3.cpp:
	
	Doc: fix errors in API doc, reported by Frank Hibbeln.

2005-06-09 16:54  pederb

	* src/shapenodes/SoFaceSet.cpp:
	
	Fix ugly UNKNOWN_FACE_TYPE rendering bug. Reported by Frank
	Hibbeln.

2005-06-09 16:08  larsa

	* src/vrml97/Sound.cpp:
	
	remove msvc6-warnings. /WX breaks build on stuff like this...

2005-06-09 13:35  mortene

	* src/nodes/: SoAnnoText3.cpp, SoAnnoText3Property.cpp,
	SoAnnotation.cpp, SoAntiSquish.cpp, SoArray.cpp, SoBaseColor.cpp,
	SoBlinker.cpp, SoBumpMap.cpp, SoBumpMapCoordinate.cpp,
	SoBumpMapTransform.cpp, SoCallback.cpp, SoClipPlane.cpp,
	SoColorIndex.cpp, SoComplexity.cpp, SoCoordinate3.cpp,
	SoCoordinate4.cpp, SoDirectionalLight.cpp, SoDrawStyle.cpp,
	SoEnvironment.cpp, SoEventCallback.cpp, SoExtSelection.cpp,
	SoFile.cpp, SoFont.cpp, SoFontStyle.cpp, SoGroup.cpp, SoInfo.cpp,
	SoLOD.cpp, SoLabel.cpp, SoLevelOfDetail.cpp, SoLightModel.cpp,
	SoLinearProfile.cpp, SoListener.cpp, SoLocateHighlight.cpp,
	SoMaterial.cpp, SoMaterialBinding.cpp, SoMatrixTransform.cpp,
	SoMultipleCopy.cpp, SoNormal.cpp, SoNormalBinding.cpp,
	SoNurbsProfile.cpp, SoOrthographicCamera.cpp, SoPackedColor.cpp,
	SoPathSwitch.cpp, SoPattern.cpp, SoPendulum.cpp,
	SoPerspectiveCamera.cpp, SoPickStyle.cpp, SoPointLight.cpp,
	SoPolygonOffset.cpp, SoProfileCoordinate2.cpp,
	SoProfileCoordinate3.cpp, SoResetTransform.cpp, SoRotation.cpp,
	SoRotationXYZ.cpp, SoRotor.cpp, SoScale.cpp, SoSceneTexture2.cpp,
	SoSelection.cpp, SoSeparator.cpp, SoShapeHints.cpp, SoShuttle.cpp,
	SoSpotLight.cpp, SoSurroundScale.cpp, SoSwitch.cpp, SoTexture2.cpp,
	SoTexture2Transform.cpp, SoTexture3.cpp, SoTexture3Transform.cpp,
	SoTextureCombine.cpp, SoTextureCoordinate2.cpp,
	SoTextureCoordinate3.cpp, SoTextureCoordinateBinding.cpp,
	SoTextureCoordinateCube.cpp, SoTextureCoordinateCylinder.cpp,
	SoTextureCoordinateDefault.cpp, SoTextureCoordinateEnvironment.cpp,
	SoTextureCoordinatePlane.cpp, SoTextureCoordinateSphere.cpp,
	SoTextureScalePolicy.cpp, SoTextureUnit.cpp, SoTransform.cpp,
	SoTransformSeparator.cpp, SoTranslation.cpp,
	SoTransparencyType.cpp, SoUnits.cpp, SoUnknownNode.cpp,
	SoVertexProperty.cpp, SoWWWAnchor.cpp, SoWWWInline.cpp:
	
	Doc: style fix for common part of class docs.

2005-06-09 10:21  mortene

	* src/shapenodes/: SoAsciiText.cpp, SoCone.cpp, SoCube.cpp,
	SoCylinder.cpp, SoFaceSet.cpp, SoImage.cpp, SoIndexedFaceSet.cpp,
	SoIndexedLineSet.cpp, SoIndexedNurbsCurve.cpp,
	SoIndexedNurbsSurface.cpp, SoIndexedTriangleStripSet.cpp,
	SoLineSet.cpp, SoMarkerSet.cpp, SoNonIndexedShape.cpp,
	SoNurbsCurve.cpp, SoNurbsSurface.cpp, SoPointSet.cpp,
	SoQuadMesh.cpp, SoSphere.cpp, SoText2.cpp, SoText3.cpp,
	SoTriangleStripSet.cpp:
	
	Doc: add FILE FORMAT/DEFAULTS section.

2005-06-08 11:38  kintel

	* include/Inventor/C/glue/gl.h:
	
	Removed ifdef making cc_glglue_is_texture_size_legal() not exported

2005-06-07 16:30  mortene

	* src/nodes/: SoAnnoText3.cpp, SoAnnoText3Property.cpp,
	SoAnnotation.cpp, SoAntiSquish.cpp, SoArray.cpp, SoBaseColor.cpp,
	SoBlinker.cpp, SoBumpMap.cpp, SoBumpMapCoordinate.cpp,
	SoBumpMapTransform.cpp, SoCallback.cpp, SoClipPlane.cpp,
	SoColorIndex.cpp, SoComplexity.cpp, SoCoordinate3.cpp,
	SoCoordinate4.cpp, SoDirectionalLight.cpp, SoDrawStyle.cpp,
	SoEnvironment.cpp, SoEventCallback.cpp, SoExtSelection.cpp,
	SoFile.cpp, SoFont.cpp, SoFontStyle.cpp, SoGroup.cpp, SoInfo.cpp,
	SoLOD.cpp, SoLabel.cpp, SoLevelOfDetail.cpp, SoLightModel.cpp,
	SoLinearProfile.cpp, SoListener.cpp, SoLocateHighlight.cpp,
	SoMaterial.cpp, SoMaterialBinding.cpp, SoMatrixTransform.cpp,
	SoMultipleCopy.cpp, SoNormal.cpp, SoNormalBinding.cpp,
	SoNurbsProfile.cpp, SoOrthographicCamera.cpp, SoPackedColor.cpp,
	SoPathSwitch.cpp, SoPattern.cpp, SoPendulum.cpp,
	SoPerspectiveCamera.cpp, SoPickStyle.cpp, SoPointLight.cpp,
	SoPolygonOffset.cpp, SoProfileCoordinate2.cpp,
	SoProfileCoordinate3.cpp, SoResetTransform.cpp, SoRotation.cpp,
	SoRotationXYZ.cpp, SoRotor.cpp, SoScale.cpp, SoSceneTexture2.cpp,
	SoSelection.cpp, SoSeparator.cpp, SoShapeHints.cpp, SoShuttle.cpp,
	SoSpotLight.cpp, SoSurroundScale.cpp, SoSwitch.cpp, SoTexture2.cpp,
	SoTexture2Transform.cpp, SoTexture3.cpp, SoTexture3Transform.cpp,
	SoTextureCombine.cpp, SoTextureCoordinate2.cpp,
	SoTextureCoordinate3.cpp, SoTextureCoordinateBinding.cpp,
	SoTextureCoordinateCube.cpp, SoTextureCoordinateCylinder.cpp,
	SoTextureCoordinateDefault.cpp, SoTextureCoordinateEnvironment.cpp,
	SoTextureCoordinatePlane.cpp, SoTextureCoordinateSphere.cpp,
	SoTextureScalePolicy.cpp, SoTextureUnit.cpp, SoTransform.cpp,
	SoTransformSeparator.cpp, SoTranslation.cpp,
	SoTransparencyType.cpp, SoUnits.cpp, SoVertexProperty.cpp,
	SoWWWAnchor.cpp, SoWWWInline.cpp:
	
	Doc: add FILE FORMAT/DEFAULTS section to API doc.

2005-06-07 15:54  larsa

	* src/tidbits.c:
	
	IRIX CC compile fix

2005-06-07 15:45  larsa

	* src/vrml97/Script.cpp:
	
	compile fix

2005-06-07 15:43  larsa

	* src/glue/GLUWrapper.c:
	
	IRIX CC compile fix

2005-06-06 15:25  mortene

	* src/vrml97/Script.cpp:
	
	New feature under development: Javascript execution through
	SpiderMonkey. Warning: this is still in the very early stages.

2005-06-03 16:15  frodo

	* src/nodes/SoTexture2.cpp:
	
	compile fix, missing include

2005-06-03 15:31  kintel

	* src/nodes/SoTexture2.cpp:
	
	Added hidden field, enableCompressedTexture, to enable texture
	compression without changing the ABI

2005-06-03 15:01  kintel

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Added support for texture compression

2005-06-03 15:00  kintel

	* src/elements/GL/SoGLTextureImageElement.cpp:
	
	Use new coin_glglue_is_texture_size_legal()

2005-06-03 14:59  kintel

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:
	
	Added some private texture support functions needed for texture
	compression

2005-06-03 14:59  kintel

	* include/Inventor/C/glue/gl.h:
	
	Deprecated cc_glglue_is_texture_size_legal for internal use

2005-06-03 14:40  kintel

	* src/misc/SoGLImage.cpp:
	
	bugfix: bool -> SbBool

2005-06-03 14:07  kintel

	* include/Inventor/misc/SoGLImage.h:
	
	bugfix: bool -> SbBool

2005-06-03 13:39  kintel

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:
	
	Image resize callback

2005-06-02 14:08  mortene

	* include/Inventor/C/glue/spidermonkey.h, src/glue/spidermonkey.c:
	
	Bugfix: static binding would fail on false symbol name. Also;
	additional debug output.

2005-06-02 12:50  larsa

	* build/: msvc6/coin2.dsp, msvc7/coin2.sln, msvc7/coin2.vcproj:
	
	regenerate

2005-06-02 10:16  mortene

	* src/vrml97/: Material.cpp, TouchSensor.cpp, Makefile.am:
	
	Doc: API doc improvements.

2005-06-02 10:13  mortene

	* include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/spidermonkey.h, src/glue/Makefile.am,
	src/glue/all-glue-c.c, src/glue/spidermonkey.c:
	
	New feature: add support for dynamically binding to SpiderMonkey,
	the Javascript engine of the Mozilla project.

2005-06-01 22:24  thammer

	* src/vrml97/AudioClip.cpp:
	
	Be verbose

2005-06-01 11:54  thammer

	* src/vrml97/AudioClip.cpp:
	
	Bugfix: make sure index is valid

2005-05-31 15:53  larsa

	* build/: msvc6/coin2.dsp, msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc6/include/Inventor/C/basic.h,
	msvc7/coin2.sln, msvc7/coin2.vcproj, msvc7/include/config-debug.h,
	msvc7/include/config-release.h, msvc7/include/Inventor/C/basic.h:
	
	regenerated files

2005-05-31 12:45  larsa

	* configure.ac, include/discard.h.in,
	include/Inventor/C/basic.h.in:
	
	setup for introducing features for future minor releases into Coin

2005-05-31 10:30  pederb

	* src/draggers/SoDragger.cpp:
	
	Avoid assertion failures in getWorldToLocalMatrix() and
	getLocalToWorldMatrix(). Problem reported by Martin Kavalar.

2005-05-29 22:08  mortene

	* src/: nodekits/SoBaseKit.cpp, shapenodes/SoFaceSet.cpp,
	shapenodes/SoIndexedShape.cpp, shapenodes/SoLineSet.cpp,
	shapenodes/SoTriangleStripSet.cpp,
	shapenodes/soshape_bumprender.cpp, shapenodes/soshape_primdata.cpp,
	vrml97/Extrusion.cpp:
	
	Clean-up: stricter typing, fixes warnings with MSVC7 /Wp64 option.

2005-05-27 14:33  mortene

	* src/io/: SoInput_FileInfo.cpp, SoInput_Reader.cpp, SoOutput.cpp:
	
	Compile fixes: improve typing.

2005-05-27 14:09  mortene

	* src/io/SoInput_FileInfo.cpp:
	
	Bugfix: size_t variable would wrap around. Problem reported by
	kintel.

2005-05-27 12:43  kintel

	* src/nodes/SoTextureScalePolicy.cpp:
	
	doc typo

2005-05-27 10:39  mortene

	* src/misc/systemsanity.icc:
	
	Take out the compile time assert which failed with MSVC7 for 64-bit
	Windows -- Coin should now be working fine on this platform.

2005-05-26 22:20  mortene

	* src/: tidbits.c, io/SoInput.cpp, io/SoInput_FileInfo.cpp,
	io/SoInput_FileInfo.h, io/SoInput_Reader.cpp, io/SoInput_Reader.h,
	io/SoOutput.cpp, io/SoOutput_Writer.cpp, io/SoOutput_Writer.h,
	lists/SoAuditorList.cpp, lists/SoPathList.cpp, misc/SoBase.cpp,
	misc/SoContextHandler.cpp, misc/SoDB.cpp,
	misc/SoOffscreenRenderer.cpp, misc/SoSceneManager.cpp,
	misc/cppmangle.icc:
	
	Fixes various sloppy typing and casting.

2005-05-26 13:28  mortene

	* src/vrml97/TODO:
	
	Minor bug updates.

2005-05-26 12:35  mortene

	* include/Inventor/SbDict.h, include/Inventor/C/base/hash.h,
	src/base/SbDict.cpp, src/base/hash.c:
	
	Cleanup: better protection for now disallowed internal use of
	SbDict and cc_hash.

2005-05-26 11:43  mortene

	* src/base/SbTime.cpp:
	
	Compile fix: corrects data types.

2005-05-25 21:28  mortene

	* include/Inventor/C/base/string.h, include/Inventor/misc/SbHash.h,
	src/actions/SoGLRenderAction.cpp, src/base/SbDict.cpp,
	src/base/SbName.cpp, src/base/SbTime.cpp, src/base/dict.c,
	src/base/namemap.c, src/base/string.c,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/engines/SoOutputData.cpp,
	src/engines/SoSelectOne.cpp, src/errors/SoDebugError.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldData.cpp,
	src/fonts/fontlib_wrapper.c, src/fonts/win32.c:
	
	Takes care of a lot of sloppy type handling, resolving MSVC7
	warnings on 64-bit Windows.

2005-05-25 18:06  pederb

	* include/Inventor/SbDict.h, include/Inventor/C/base/hash.h,
	src/base/hash.c:
	
	Temporary fix for recently introduced Windows compile problem.

2005-05-25 17:39  pederb

	* src/elements/SoMultiTextureEnabledElement.cpp:
	
	Bugfix in getEnabledUnits(). Update lastenabled even when no units
	are enabled.

2005-05-25 15:58  mortene

	* include/Inventor/SbDict.h, include/Inventor/C/base/hash.h,
	src/base/SbDict.cpp, src/base/hash.c:
	
	Cleanliness: protect SbDict and cc_hash from internal use.

2005-05-25 15:57  mortene

	* include/Inventor/C/base/heapp.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/threads/storagep.h, src/base/heap.c,
	src/base/namemap.c, src/fields/SoFieldContainer.cpp,
	src/fonts/fontlib_wrapper.c, src/fonts/freetype.c,
	src/fonts/glyph2d.c, src/fonts/glyph3d.c, src/fonts/win32.c,
	src/glue/flwwin32.c, src/glue/gl.c, src/threads/storage.c,
	src/threads/sync.c:
	
	Code clean-up: stop using cc_hash ADT -- it had bogus typecasting
	on 64-bit Windows. Replace with cc_dict.

2005-05-25 15:38  mortene

	* include/Inventor/C/base/Makefile.am,
	include/Inventor/C/base/dict.h, include/Inventor/C/base/dictp.h,
	src/base/Makefile.am, src/base/all-base-c.c, src/base/dict.c:
	
	New C ADT cc_dict for a hash / dictionary. Replaces cc_hash,
	because that was not typesafe for porting to 64-bit Windows.

2005-05-25 14:33  mortene

	* src/io/SoInput.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 13:16  mortene

	* include/Inventor/: SbBSPTree.h, SbString.h, lists/SbIntList.h:
	
	Bugfixes and cleanliness: fix unsafe casting on 64-bit Windows for
	SbIntList, and discourage further internal use of the class.

2005-05-25 12:34  mortene

	* src/: sensors/SoSensorManager.cpp,
	shapenodes/soshape_bumprender.cpp, shapenodes/soshape_bumprender.h,
	upgraders/SoUpgrader.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 12:26  mortene

	* include/Inventor/nodes/SoNode.h, src/nodes/SoNode.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 12:22  mortene

	* src/misc/SoDB.cpp, src/misc/SoGlyph.cpp, src/misc/SoProto.cpp,
	src/misc/SoProtoInstance.cpp, include/Inventor/SoType.h,
	src/misc/SoType.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 12:19  mortene

	* src/misc/SoChildList.cpp:
	
	Bugfixes: casting was not safe for 64-bit Windows.

2005-05-25 12:18  mortene

	* include/Inventor/misc/SoBase.h, src/misc/SoBase.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 12:14  mortene

	* src/lists/SoTypeList.cpp:
	
	Bugfixes: casting was not safe for 64-bit Windows.

2005-05-25 12:13  mortene

	* include/Inventor/SoInput.h, src/io/SoInput.cpp,
	src/io/SoOutput.cpp, src/io/SoWriterefCounter.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 12:08  mortene

	* src/: events/SoKeyboardEvent.cpp, fields/SoField.cpp,
	fields/SoFieldContainer.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 11:52  mortene

	* include/Inventor/engines/SoConvertAll.h,
	src/engines/SoConvertAll.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 11:48  mortene

	* src/: actions/SoToVRML2Action.cpp,
	caches/SoPrimitiveVertexCache.cpp,
	caches/normalcache_numcoords_hack.cpp:
	
	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and
	more typesafe code. This takes care of various problems in porting
	to 64-bit MS Windows.

2005-05-25 11:44  mortene

	* include/Inventor/misc/SbHash.h:
	
	New features: adds operator=(), copy constructor and makeKeyList()
	method.

2005-05-24 22:53  thammer

	* src/vrml97/AudioClip.cpp:
	
	Be more robust

2005-05-24 15:15  mortene

	* src/shapenodes/soshape_bumprender.cpp:
	
	Bugfix: use correct dict for vertex or fragment program.

2005-05-24 15:00  thammer

	* src/vrml97/AudioClip.cpp:
	
	Bugfix: Do not assert when only one file specified and not looping.
	 Improve documentation.

2005-05-19 17:47  larsa

	* Makefile.am:
	
	dist fix

2005-05-19 17:41  larsa

	* README.WIN32:
	
	shuffle

2005-05-19 17:26  larsa

	* build/msvc6/: coin2.dsp, include/.cvsignore,
	include/config-debug.h, include/config-release.h, include/setup.h,
	include/Inventor/C/basic.h:
	
	regenerate files

2005-05-19 16:57  larsa

	* build/msvc7/: coin2.sln, coin2.vcproj, include/.cvsignore,
	include/config-debug.h, include/config-release.h, include/setup.h,
	include/Inventor/C/basic.h:
	
	regenerate

2005-05-19 16:35  larsa

	* NEWS:
	
	update

2005-05-19 16:24  larsa

	* README.WIN32, configure.ac, include/discard.h.in,
	include/setup.h.in, include/update-config.sh:
	
	separate system-settings and user-settings (config.h + setup.h)

2005-05-18 15:24  mortene

	* src/fields/SoSFImage.cpp:
	
	Doc: update API docs with note on dangerous functionality for the
	unaware.

2005-05-18 14:59  tamer

	* docs/coin.doxygen.in:
	
	updated config to newer version with 'doxygen -u'

2005-05-16 13:53  mortene

	* docs/coin.doxygen.in:
	
	Doc: remove unimplemented classes, and change path for SbBasic.h
	(which is no longer generated).

2005-05-16 13:40  mortene

	* NEWS:
	
	Bugfix.

2005-05-16 13:39  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Bugfix: Postscript output erroneously disabled.

2005-05-13 16:21  kyrah

	* src/: glue/gl_agl.c, misc/SoOffscreenAGLData.h:
	
	Prevent compilation problems on machines with QuickTime 7.0 but no
	QuickTime SDK. Problem (and solution) reported by pederb.

2005-05-13 13:07  kyrah

	* packaging/macosx/checklist.txt:
	
	Note on mistake I always make ;)

2005-05-13 12:18  larsa

	* NEWS:
	
	start new block

2005-05-13 01:42  larsa

	* build/: msvc6/include/config-debug.h,
	msvc6/include/config-release.h, msvc7/include/config-debug.h,
	msvc7/include/config-release.h:
	
	regenerate files

2005-05-13 01:19  larsa

	* configure.ac:
	
	version number update

